Compare commits

...

3 Commits

Author SHA1 Message Date
Andrei Jiroh Halili 1417ca414d
Update edit-script-file to rely on EDITOR or VISUAL var
Also in this commit, I changed the tmux prefix to M-x btw.

Signed-off-by: Andrei Jiroh Eugenio Halili <ajhalili2006@gmail.com>
2022-06-07 21:53:26 +08:00
Andrei Jiroh Halili d478a59bf7
Add wrapper script to listen to some online radio from command line
Signed-off-by: Andrei Jiroh Eugenio Halili <ajhalili2006@gmail.com>
2022-06-07 21:52:54 +08:00
Andrei Jiroh Halili 29639842ff
Rename ssh-client/ubuntu to ssh-client/linux, while keeping the symlink for compat
Signed-off-by: Andrei Jiroh Eugenio Halili <ajhalili2006@gmail.com>
2022-06-07 21:25:07 +08:00
5 changed files with 124 additions and 99 deletions

View File

@ -19,7 +19,7 @@ list-debs-size() {
edit-script-file() {
# if you use other editor, please set $EDITOR.
$(command -v code>>/dev/null && echo code || command -v nano>>/dev/null && echo nano || echo vi) "$(command -v $1)"
$EDITOR "$(command -v $1)"
}
# reloading stuff

21
bin/radio-station Executable file
View File

@ -0,0 +1,21 @@
#!/usr/bin/env bash
URLPREFIX="https://radio-station-redirects.deno.dev/feeds"
CMDPREFIX="mplayer -nocache -afm ffmpeg" # https://linuxconfig.org/listen-to-your-favorite-radio-station-with-a-single-command-on-linux
if ! command -v mplayer >> /dev/null; then
echo "error: mplayer isn't installed on your system."
exit 1
fi
if [[ $1 == "monstercat-dash" ]]; then
exec $CMDPREFIX -playlist http://ice55.securenetsystems.net/DASH63.m3u
elif [[ $1 == "republika-fm1-ph" ]]; then
exec $CMDPREFIX http://122.53.138.32:8000/dzrm.mp3
elif [[ $1 == "monsterrx" ]]; then
exec $CMDPREFIX -playlist https://ph-icecast-win.eradioportal.com:8443/monsterrx
else
echo "error: That station isn't yet added to the index. Currently supported stations are lised below:"
echo "error: monstercat-dash republika-fm1-ph monsterrx"
exit 1
fi

100
ssh-client/linux Normal file
View File

@ -0,0 +1,100 @@
# Include Gitpod and GitHub Codespaces SSH config
Include gp-config
Include codespaces
# My VMs, through Virtualbox
Host ubuntu-vm
Hostname localhost
Port 1222
User thepinsteam
IdentityFile ~/.ssh/github-personal
Host bshq
Hostname localhost
Port 3055
User shitfuckery
IdentityFile ~/.ssh/github-personal
# Git hosts, as usual
Host gitlab.com
User git
IdentityFile ~/.ssh/launchpad
Host github.com
User git
IdentityFile ~/.ssh/launchpad
Host gitlab.alpinelinux.org
User git
IdentityFile ~/.ssh/launchpad
# Launchpad.net SSH keys for mirroring some repos manually,
# partularly the gitlab.com:termux-package-android5x/src.git repo
# among any sort of shits and giggles.
Host git.launchpad.net
IdentityFile ~/.ssh/launchpad
User ajhalili2006
Host bazar.launchpad.net
IdentityFile ~/.ssh/launchpad
User ajhalili2006
# LXC containers, please append as possible
Host ghost-localhost
Hostname 10.29.113.229
User ubuntu
IdentityFile ~/.ssh/github-personal
# Even fucking physicial computers thrugh Tailscale!
# TODO: Find that StackExchange ref!
Host stellapent
Hostname stellapent.tailnet
User cursed-remote-user
IdentityFile ~/.ssh/launchpad
# Use SSH port forwarding for that. :)
# But chaos may come on da logs
#LocalForward 3380 localhost:3389
# Also for our WSL setup too
#LocalForward 3381 172.26.89.201:3381
RemoteForward 63100 localhost:63100
# SSH to our Ubuntu WSL instance
LocalForward 2280 localhost:2222
# There's no such thing as guilded.gg/guildedguy as there will be only
# discord.gg/gildedguy if you're looking for an place to discuss the lore
# or possibly want to find some fan art as your desktop wallpaper.
Host guildedguy
Hostname gildedguy.tailnet
User gildedguy
IdentityFile ~/.ssh/launchpad
Host wsl.stellapent
Hostname ubuntu.wsl.stellapent.tailnet
User mikedmoy
IdentityFile ~/.ssh/launchpad
Port 2222
Host devshell.tailnet
User abc
Hostname 100.76.127.93
RemoteForward 63100 localhost:63100
# in case the mesh network went fucked-up by ISP d**kheads
Host stellapent.local
User cursed-remote-user
IdentityFile ~/.ssh/launchpad
LocalForward 3380 localhost:3389
RemoteForward 63100 localhost:63100
Host wsl.stellapent.local
User mikedmoy
Hostname stellapent.local
Port 2222
# SourceForge
Host sourceforge
User ajhalili2006
Hostname shell.sourceforge.net
IdentityFile ~/.ssh/launchpad
# hax.co.id
Host write.ajhalili2006.dev
Hostname 91.134.238.133
User ajhalili2006
Port 4830
IdentityFile ~/.ssh/launchpad
Host sandbox.ajhalili2006.dev
Hostname 148.251.50.26
Port 12411
User root
IdentityFile ~/.ssh/launchpad

View File

@ -1,95 +0,0 @@
# Include Gitpod and GitHub Codespaces SSH config
Include gp-config
Include codespaces
# My VMs, through Virtualbox
Host ubuntu-vm
Hostname localhost
Port 1222
User thepinsteam
IdentityFile ~/.ssh/github-personal
Host bshq
Hostname localhost
Port 3055
User shitfuckery
IdentityFile ~/.ssh/github-personal
# Git hosts, as usual
Host gitlab.com
User git
IdentityFile ~/.ssh/launchpad
Host github.com
User git
IdentityFile ~/.ssh/launchpad
Host gitlab.alpinelinux.org
User git
IdentityFile ~/.ssh/launchpad
# Launchpad.net SSH keys for mirroring some repos manually,
# partularly the gitlab.com:termux-package-android5x/src.git repo
# among any sort of shits and giggles.
Host git.launchpad.net
IdentityFile ~/.ssh/launchpad
User ajhalili2006
Host bazar.launchpad.net
IdentityFile ~/.ssh/launchpad
User ajhalili2006
# LXC containers, please append as possible
Host ghost-localhost
Hostname 10.29.113.229
User ubuntu
IdentityFile ~/.ssh/github-personal
# Even fucking physicial computers thrugh Tailscale!
# TODO: Find that StackExchange ref!
Host stellapent
Hostname stellapent.tailnet
User cursed-remote-user
IdentityFile ~/.ssh/launchpad
# Use SSH port forwarding for that. :)
# But chaos may come on da logs
#LocalForward 3380 localhost:3389
# Also for our WSL setup too
#LocalForward 3381 172.26.89.201:3381
RemoteForward 63100 localhost:63100
# SSH to our Ubuntu WSL instance
LocalForward 2280 localhost:2222
# There's no such thing as guilded.gg/guildedguy as there will be only
# discord.gg/gildedguy if you're looking for an place to discuss the lore
# or possibly want to find some fan art as your desktop wallpaper.
Host guildedguy
Hostname gildedguy.tailnet
User gildedguy
IdentityFile ~/.ssh/launchpad
Host wsl.stellapent
Hostname ubuntu.wsl.stellapent.tailnet
User mikedmoy
IdentityFile ~/.ssh/launchpad
Port 2222
Host devshell.tailnet
User abc
Hostname 100.76.127.93
RemoteForward 63100 localhost:63100
# in case the mesh network went fucked-up by ISP d**kheads
Host stellapent.local
User cursed-remote-user
IdentityFile ~/.ssh/launchpad
LocalForward 3380 localhost:3389
RemoteForward 63100 localhost:63100
Host wsl.stellapent.local
User mikedmoy
Hostname stellapent.local
Port 2222
# SourceForge
Host sourceforge
User ajhalili2006
Hostname shell.sourceforge.net
IdentityFile ~/.ssh/launchpad
# hax.co.id
Host write.ajhalili2006.dev
Hostname 91.134.238.133
User ajhalili2006
Port 4830
IdentityFile ~/.ssh/launchpad

1
ssh-client/ubuntu Symbolic link
View File

@ -0,0 +1 @@
linux

View File

@ -3,9 +3,7 @@ set-option -g default-shell /bin/zsh
# my prefix btw
unbind C-b
#set -g prefix M-w
# additional prefix in case we're using the Shelly iOS app
set -g prefix C-W
set -g prefix M-x
# make sure we can magically source config changes via <prefix>+R shortcut.
bind r source-file ~/.tmux.conf